Page MenuHomeFreeBSD

Add a NT_ARM_VFP ELF core note to hold VFP registers for each thread.
ClosedPublic

Authored by jhb on Sep 9 2017, 2:36 PM.

Details

Summary

The core note matches the format and layout of NT_ARM_VFP on Linux.
Debuggers use the AT_HWCAP flags to determine how many VFP registers
are actually used and their format.

Test Plan

This is part of a series to use VFP registers in gdb on armv7.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jhb created this revision.Sep 9 2017, 2:36 PM
emaste added a subscriber: emaste.Sep 9 2017, 2:40 PM
mmel accepted this revision.Sep 10 2017, 5:34 AM
This revision is now accepted and ready to land.Sep 10 2017, 5:34 AM
jhb updated this revision to Diff 32987.Sep 12 2017, 7:47 PM
  • Add NT_ARM_VFP support to gcore.
This revision now requires review to proceed.Sep 12 2017, 7:47 PM
This revision was automatically updated to reflect the committed changes.